import re

"""
seisRE: Seismic data channels' regex:
First letter(Band Code): ABCDEFGHLMOPQRSTUV
Second letter (Instrument Code): GHLMN  (remove GM - Alissa)
Third letter (Orientation Code): ZNE123
=> to check if the channel is seismic data: if conf['seisRE'].match(chan):
"""

dbConf = {
    'dbpath': 'sohstationviewer/database/soh.db',
    'seisRE': re.compile('[A-HLM-V][HLN][ZNE123]'),
    'wfReq': re.compile('^[A-HLM-V\*]([HLN\*][ZNE123\*]?)?$'),    # noqa: W605
    # key is last char of chan
    'seisLabel': {'1': 'NS', '2': 'EW', 'N': 'NS', 'E': 'EW', 'Z': 'V'},
    # +0.2:Y
    'valColRE': re.compile('^\+?\-?[0-9]+\.?[0-9]?:[RYGMC]'),     # noqa: W605
    'plotFunc': {
        'linesDots': (
            ("Lines, one color dots. "),
            "plot_lines_dots"),
        'linesSRate': (
            ("Lines, one color dots, bitweight info. "),
            "plot_lines_s_rate"),
        'linesMasspos': (
            ("multi-line mass position, multi-color dots. "),
            "plot_lines_mass_pos"),
        # 'dotsMasspos': (
        #     ("mass position, multi-color, single line. "),
        #     "plotDotsMasspos"),
        'dotForTime': (
            "Dots according to timestamp. Color defined by valueColors. Ex: G",
            "plot_time_dots"),
        'multiColorDots': (
            ("Multicolor dots with colors defined by valueColors. "
             "Value from low to high. "
             "Ex:*:W or -1:_|0:R|2.3:Y|+2.3:G. "
             "With colors: RYGMC: _: not plot"),
            "plot_multi_color_dots"
        ),
        'upDownDots': (
            ("Show data with 2 different values: first down/ second up. "
             "With colors defined by valueColors. Ex: 1:R|0:Y"),
            'plot_up_down_dots'
        )
    }
}
